class system {

	exec { 'add-architecture-i386':
		command => '/usr/bin/dpkg --add-architecture i386',
		unless => '/bin/fgrep -q i386 /var/lib/dpkg/arch',
		notify => Exec['aptget-update'],
	}

	exec { 'aptget-update':
		command => '/usr/bin/apt-get update',
		refreshonly => true,
	}

	$packages = [
		'sudo',
		'lsof',
		'vim',
		'screen',
		'rsync',
		'tcpdump',
		'pv',
		'openssh-server',
		'locales-all',
		'libpam-tmpdir',
		'broadcom-sta-dkms',
	]
  
	package { $packages:
		ensure => installed,
	}

	package { 'libpam-mount':
		ensure => installed,
	}

	file { '/etc/security/pam_mount.conf.xml':
		ensure => file,
		source => 'puppet:///modules/system/files/etc/security/pam_mount.conf.xml',
		mode => 'a=r',
		require => Package['libpam-mount'],
	}

	package { 'chrony':
		ensure => installed,
	}

	service { 'chrony':
		ensure => running,
		enable => true,
		hasstatus  => false,
		hasrestart => true,
		require => Package['chrony'],
	}

	package { 'network-manager':
		ensure => installed,
	}

	file { '/etc/NetworkManager/system-connections/ffm.freifunk.net':
		ensure => file,
		source => 'puppet:///modules/system/etc/NetworkManager/system-connections/ffm.freifunk.net',
		mode => 'a=,u=r',
		require => Package['network-manager'],
	}

	file { '/etc/NetworkManager/system-connections/wired':
		ensure => file,
		source => 'puppet:///modules/system/etc/NetworkManager/system-connections/wired',
		mode => 'a=,u=r',
		require => Package['network-manager'],
	}

	package { 'wicd*':
		ensure => absent,
		require => Package['network-manager'],
	}

}
